#ifndef VIEW_H
#define VIEW_H
#include "stuff.h"


//What are the dimensions of our world(each layer)
//#define WORLD_X			100 //max
//#define WORLD_Y			100 //max

#define leves		4
#define WORLD_X_MAX			100 //max
#define WORLD_Y_MAX			100 //max

#define TILESIZE		32

//#define numbuffer		4

#define UP				0
#define DOWN			1
#define LEFT			2
#define RIGHT			3


class View
{
private:

	int screen_pos_x,
		screen_pos_y,
		scroll_x,
		scroll_y,
		mtype;
	int id;
int GRID_WIDTH;
int GRID_HEIGHT;
BITMAP *buffer;//[]; // double_buffering

public:
	bool selected;
//View constrtor
View();
//View destructor
/*
~View()
{
destroy_bitmap(buffer);
}
*/

		int WORLD_X; 
		int WORLD_Y;

void do_scroll(int d);
void show_view();
void move_view(int x, int y);
//view gets
int get_screen_pos_x();
int get_screen_pos_y();
int get_GRID_WIDTH();
int get_GRID_HEIGHT();
int get_scroll_x();
int get_scroll_y();
BITMAP *get_buffer(); 
//view sets
 void set_screen_pos_x(int);
 void set_screen_pos_y(int);
void set_GRID_WIDTH(int);
 void set_GRID_HEIGHT(int);
 void set_scroll_x(int);
 void set_scroll_y(int);
 void set_buffer(BITMAP *);

};


#endif